#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin>>t;
    for(int q=0;q<t;q++)
    {
        int n, m;
        cin>>n>>m;
        if(n==m)
            for(int i=0;i<n;i++)
            {
                for(int j=0;j<n;j++)
                    if(i+j>n-2)
                        cout<<"1 ";
                    else
                        cout<<"0 ";
                cout<<'\n';
            }
        else
            cout<<"-1\n";
    }
    return 0;
}